The Microsoft App-V Team Blog

The official blog for Microsoft Application Virtualization

App-V 4.6 and applications sequenced using earlier versions

App-V 4.6 and applications sequenced using earlier versions

  • Comments 3
  • Likes

image With the release of Microsoft Application Virtualization 4.6 looming on the horizon, a question that seems to pop up over and over again is "Can I run all my apps that I sequenced using App-V 4.5 or 4.2 with the new App-V 4.6 client?"  Another one is "Can I run my old 32-bit packages using the new App-V 64-bit client?"  The short answer to both is Yes but I have a couple bullet points below that should help clear up some of the confusion:

  • All of your existing 4.x packages are valid and can continue to be used on the 4.6 client.  All that is required is to modify the OSD file to include the OS values for the 32 and/or 64-bit platform as appropriate.  Below is a snippet from an OSD that shows the new 64-bit related tags and what they would look like:

clip_image002

  • All of your existing 4.x packages can be used with either the 32-bit or the 64-bit App-V 4.6 client.
  • If you want to sequence and run 64-bit applications, sequence the 64-bit app on a 64-bit OS using the 4.6. sequencer and specify x64 as the target platform. An example of where you would do this is shown below:

image

  • You can continue to sequence 16-bit apps using App-V 4.6, however those sequencings (created with 4.6 or prior releases) will not run on the 64 bit-platforms.

Note: 4.x includes all version from 4.1 SP1 to current.

Note: New 32-bit applications sequenced with the 4.6 sequencer are NOT supported on 4.5 client as indicated in the support matrix below.

Hope this helps,

J.C. Hornbeck | System Center Knowledge Engineer

Comments
  • Please update this with information regarding 5.0.  This is the single most useful piece of infomation on 4.6, please continue the trend.

  • In order to run and manage packages created using a previous version of App-V you must setup the App-V 5.0 infrastructure and then convert the packages created using a prior version App-V so that they are compatible with App-V 5.0. You can find more information on that here: technet.microsoft.com/.../jj713465.aspx.

  • thank you

Your comment has been posted.   Close
Thank you, your comment requires moderation so it may take a while to appear.   Close
Leave a Comment